__gnu_cxx::character< V, I, S > Struct Template Reference

## Public Types

typedef character< V, I, S > | char_type
typedef I | int_type
typedef S | state_type
typedef V | value_type

## Static Public Member Functions

template<typename V2 >
static char_type | from (const V2 &v)
template<typename V2 >
static V2 | to (const char_type &c)

## Public Attributes

value_type | value

## Detailed Description

### template<typename V, typename I, typename S = std::mbstate_t>
struct __gnu_cxx::character< V, I, S >

A POD class that serves as a character abstraction class.

Definition at line 49 of file pod_char_traits.h.

The documentation for this struct was generated from the following file:

- pod_char_traits.h